#
# spec file for package libthai (Version 0.1.9)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           libthai
Url:            http://linux.thai.net/plone/TLWG/libthai/
License:        LGPLv2.1+
Group:          System/Libraries
AutoReqProv:    on
Version:        0.1.9
Release:        39.3.1
Summary:        Thai Language Support Routines
Source:         %name-%version.tar.bz2
Patch:          warnings.patch
Patch1:         bug-569615_01_integer-overflow-vuln.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  libdatrie-devel pkg-config

%description
LibThai is a set of Thai language support routines aimed to ease
developers' tasks to incorporate Thai language support in their
applications. It includes important Thai-specific functions, such as
word breaking, input and output methods, and basic character and string
support.



Authors:
--------
    Theppitak Karoonboonyanan <thep@linux.thai.net>
    Chanop Silpa-Anan <chanop@linux.thai.net>
    Pattara Kiatisevi <ott@linux.thai.net>
    Poonlap Veerathanabutr <poonlap@linux.thai.net>
    Vuthichai Ampornaramveth <vuthi@nii.ac.jp>

%package devel
License:        LGPLv2.1+
Summary:        Thai Language Support Routines (development files)
Group:          System/Libraries
Requires:       %{name} = %{version} libdatrie-devel

%description devel
LibThai is a set of Thai language support routines aimed to ease
developers' tasks to incorporate Thai language support in their
applications. It includes important Thai-specific functions, such as
word breaking, input and output methods, and basic character and string
support.

This package contains headers and libraries required for developing
software using libthai.



Authors:
--------
    Theppitak Karoonboonyanan <thep@linux.thai.net>
    Chanop Silpa-Anan <chanop@linux.thai.net>
    Pattara Kiatisevi <ott@linux.thai.net>
    Poonlap Veerathanabutr <poonlap@linux.thai.net>
    Vuthichai Ampornaramveth <vuthi@nii.ac.jp>

%prep
%setup -q
%patch
%patch1 -p1

%build
%configure --disable-static --with-pic
make %{?jobs:-j%jobs}

%install
%makeinstall
rm $RPM_BUILD_ROOT%{_libdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_libdir}/libthai.so.*
%{_datadir}/libthai

%files devel
%defattr(-,root,root)
%{_includedir}/thai
%{_libdir}/libthai.so
%{_libdir}/pkgconfig/*.pc

%changelog
* Thu Jan 14 2010 uli@suse.de
- heap overflow fixed (bnc#569615, CVE-2009-4012)
* Fri Jan 16 2009 crrodriguez@suse.de
- remove static libraries and "la" files
* Wed May 21 2008 sbrabec@suse.cz
- Fixed devel depenendencies.
* Mon Apr  7 2008 uli@suse.de
- update -> 0.1.9 (bug #326002)
  * Rewritten itemization for line breaker, for conformance to UAX#14.
  * Revised dictionary for compound words support.
  * Improved handling of white spaces in word break routine, for better quality
    line wrapping in Gecko libthai component.
  * More words in word break dictionary.
  * Excessive exported symbols are eliminated from library.
  * Rewritten word break routines:
  - Split dictionary from source, thus new dependency on libdatrie
  - New word break routine from scratch, for maintainability
  * Improved dictionary for word segmentation:
  - New word list preparation process from multiple categories
  - New contemporary words not included in Royal Institute dictionary,
    as well as some proper names for countries and locations, etc.
  - Fine-tuned dictionary to get rid of some potential ambiguities
  * Documentation with doxygen.
  * Add missing APIs.
  * Fix compiler warnings.
  * Improved word breaking. Space is now also considered a breakable point.
  * More PUA support for Mac fonts rendering.
  * Start maintaining library version info from now on.
- created devel subpackage
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Sep 15 2005 uli@suse.de
- initial package
